- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
expm1
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Exponential and logarithmic functions

Exponential of input - 1. More...

## Functions
AFAPI array | expm1 (const array &in)
| C++ Interface for exponential of an array minus 1. More...
AFAPI af_err | af_expm1 (af_array *out, const af_array in)
| C Interface for exponential of an array minus 1. More...

## Detailed Description

Exponential of input - 1.

Note
  This function supports real inputs only. Complex inputs are not yet supported.

## Function Documentation

AFAPI af_err af_expm1 | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for exponential of an array minus 1.

Parameters

  [out] | out | will contain the exponential of `in` - 1
  [in] | in | is input

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::expm1 | ( | const array & | in | ) |

C++ Interface for exponential of an array minus 1.

Parameters

  [in] | in | is exponent

Returns
  the exponential of `in` - 1

Note
  This function is useful when `in` is small